protozero 1.7.1 Minimalistic protocol buffer decoder and encoder in C++.

Loading...
Searching...
No Matches
Namespaces | Typedefs | Enumerations | Functions
types.hpp File Reference

Contains the declaration of low-level types used in the pbf format. More...

`#include "config.hpp"`
`#include <algorithm>`
`#include <cstddef>`
`#include <cstdint>`
`#include <cstring>`
`#include <string>`
`#include <utility>`
Include dependency graph for types.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | protozero
| All parts of the protozero header-only library are in this namespace.

## Typedefs
using | protozero::pbf_tag_type = uint32_t
using | protozero::pbf_length_type = uint32_t

## Enumerations
enum class | protozero::pbf_wire_type : uint32_t { varint = 0 , fixed64 = 1 , length_delimited = 2 , fixed32 = 5 , unknown = 99 }

## Functions
template<typename T >
constexpr uint32_t | protozero::tag_and_type (T tag, pbf_wire_type wire_type) noexcept

## Detailed Description

Contains the declaration of low-level types used in the pbf format.